Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.xml.client
Interface NodeList

    public interface NodeList

This interface represents an immutable ordered collection of nodes.

Method Summary
`int` | `getLength()` This method retrieves the number of items in this `NodeList` object.
`Node` | `item(int index)` This method gets the item in the position denoted by `index`.

Method Detail

### getLength

    int getLength()

  This method retrieves the number of items in this `NodeList` object.

  Returns:
    the number of nodes in this `NodeList` object.

### item

    Node item(int index)

  This method gets the item in the position denoted by `index`.

  Parameters:
    `index` - - the index to be retrieved
  Returns:
    the item at this index

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD